Bug 144302 - ata_piix: uable to handle kernel paging request
ata_piix: uable to handle kernel paging request
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-05 14:39 EST by Murray Schwalbaum
Modified: 2013-07-02 22:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:48:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output including kernel errors. (7.54 KB, text/plain)
2005-01-05 14:41 EST, Murray Schwalbaum
no flags Details
output of lspci for device information (1.73 KB, text/plain)
2005-01-05 14:42 EST, Murray Schwalbaum
no flags Details
uname -a (86 bytes, text/plain)
2005-01-05 14:43 EST, Murray Schwalbaum
no flags Details

  None (edit)
Description Murray Schwalbaum 2005-01-05 14:39:59 EST
Description of problem:

When installing Fedora Core 3 on a Dell Precision 470, the ata_pixx
driver is called to be loaded and the kernel can not handle a paging
request.

lspci of the IDE and SATA controller (onboard):

00:1f.1 IDE interface: Intel Corp. 82801EB/ER (ICH5/ICH5R) IDE
Controller (rev 02)
00:1f.2 IDE interface: Intel Corp. 82801EB (ICH5) SATA Controller (rev 02)

Version-Release number of selected component (if applicable):

2.6.9-1.667

How reproducible:

Install FC3 on a similar device.


Once the module fails, I can test the cdrom, and it starts to load the
aic79xx driver for the SCSI hard drives. It can't finish loading the
driver. When I run ps, I see three loader proceses running. lsmod
shows that both the ata_piix driver and aic97xx are currently loading.
I can not remove the modules.
Comment 1 Murray Schwalbaum 2005-01-05 14:41:33 EST
Created attachment 109389 [details]
dmesg output including kernel errors.
Comment 2 Murray Schwalbaum 2005-01-05 14:42:13 EST
Created attachment 109390 [details]
output of lspci for device information
Comment 3 Murray Schwalbaum 2005-01-05 14:43:00 EST
Created attachment 109392 [details]
uname -a
Comment 4 Alfredo Ferrari 2005-02-01 09:52:19 EST
Same here on a Precision 670 and a Precision 270. Any way to get
around it and install??
Comment 5 Syl Cat 2005-02-01 10:47:27 EST
I have try to switch the BIOS SATA setting to Raid Autodetect/ATA (on
a Precision 370) ... and it's the same pb ..
Comment 6 Murray Schwalbaum 2005-02-24 07:09:38 EST
Has anyone been able to reproduce this error on CentOS 4, or RHEL 4? Those seem
to be pretty close to Fedora Core 3, and we might be able to reproduce the bug
there.

I will check if I still have the 470 at my disposal.
Comment 7 Murray Schwalbaum 2005-03-14 11:25:43 EST
Jeff,

This problem doesn't seem to happen on RHEL 4. Is it possible for you to see if
there was a patch between 2.6.9-1 used in FC3 and the 2.6.9-5 kernel used in RHEL 4?

Regards,

Murray Schwalbaum
Comment 8 Dave Jones 2005-07-15 16:07:38 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 9 Dave Jones 2005-10-02 20:48:02 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.